from fastapi import APIRouter
from fastapi.responses import JSONResponse

from src.financial_reports.schemas import *
from src.financial_reports.service import *

financial_reports_router = APIRouter()

@financial_reports_router.post("/query")
async def financial_repoets_query(request: FinancialReportQuery )-> JSONResponse:
    """
    搜索接口
    """
    result = await financial_reports_query_service(request)

    return result

@financial_reports_router.post("/keyword_search")
async def financial_repoets_query_keyword_search(query: SearchKeywordQuery) -> list:
    """
    模糊查询接口
    """
    result = await user_keyword_search_service(query.searchKeyword)

    return result